import { useUserStore } from '/src/store/modules/users';
export const threeYearSystem = [
  { label: '全部年级', value: null },
  { label: '七年级', value: 7 },
  { label: '八年级', value: 8 },
  { label: '九年级', value: 9 }
];
export const foreYearSystem = [
  { label: '选择年级', value: null },
  { label: '六年级', value: 6 },
  { label: '七年级', value: 7 },
  { label: '八年级', value: 8 },
  { label: '九年级', value: 9 }
];
export const fiveYearSystem = [
  { label: '选择年级', value: null },
  { label: '一年级', value: 1 },
  { label: '二年级', value: 2 },
  { label: '三年级', value: 3 },
  { label: '四年级', value: 4 },
  { label: '五年级', value: 5 }
];
export const sixYearSystem = [
  { label: '全部年级', value: null },
  { label: '一年级', value: 1 },
  { label: '二年级', value: 2 },
  { label: '三年级', value: 3 },
  { label: '四年级', value: 4 },
  { label: '五年级', value: 5 },
  { label: '六年级', value: 6 }
];
export const nineYearSystem = [
  { label: '选择年级', value: null },
  { label: '一年级', value: 1 },
  { label: '二年级', value: 2 },
  { label: '三年级', value: 3 },
  { label: '四年级', value: 4 },
  { label: '五年级', value: 5 },
  { label: '六年级', value: 6 },
  { label: '七年级', value: 7 },
  { label: '八年级', value: 8 },
  { label: '九年级', value: 9 }
];
export const classArray = [
  { value: null, label: '选择班级' },
  { value: 1, label: '1班' },
  { value: 2, label: '2班' },
  { value: 3, label: '3班' },
  { value: 4, label: '4班' },
  { value: 5, label: '5班' },
  { value: 6, label: '6班' },
  { value: 7, label: '7班' },
  { value: 8, label: '8班' },
  { value: 9, label: '9班' },
  { value: 10, label: '10班' },
  { value: 11, label: '11班' },
  { value: 12, label: '12班' },
  { value: 13, label: '13班' },
  { value: 14, label: '14班' },
  { value: 15, label: '15班' },
  { value: 16, label: '16班' },
  { value: 17, label: '17班' },
  { value: 18, label: '18班' },
  { value: 19, label: '19班' },
  { value: 20, label: '20班' },
  { value: 21, label: '21班' },
  { value: 22, label: '22班' },
  { value: 23, label: '23班' },
  { value: 24, label: '24班' },
  { value: 25, label: '25班' },
  { value: 26, label: '26班' },
  { value: 27, label: '27班' },
  { value: 28, label: '28班' },
  { value: 29, label: '29班' },
  { value: 30, label: '30班' },
  { value: 31, label: '31班' },
  { value: 32, label: '32班' },
  { value: 33, label: '33班' },
  { value: 34, label: '34班' },
  { value: 35, label: '35班' },
  { value: 36, label: '36班' },
  { value: 37, label: '37班' },
  { value: 38, label: '38班' },
  { value: 39, label: '39班' },
  { value: 40, label: '40班' }
];

export const getgradeNumList = () => {
  const userInfo = useUserStore();
  let gradeNumList = [];
  if (userInfo.getUserInfo.schoolInfos[0].gradeYear == 'THREE_YEAR_SYSTEM') {
    gradeNumList = threeYearSystem;
  } else if (
    userInfo.getUserInfo.schoolInfos[0].gradeYear == 'FORE_YEAR_SYSTEM'
  ) {
    gradeNumList = foreYearSystem;
  } else if (
    userInfo.getUserInfo.schoolInfos[0].gradeYear == 'FIVE_YEAR_SYSTEM'
  ) {
    gradeNumList = fiveYearSystem;
  } else if (
    userInfo.getUserInfo.schoolInfos[0].gradeYear == 'SIX_YEAR_SYSTEM'
  ) {
    gradeNumList = sixYearSystem;
  } else {
    gradeNumList = nineYearSystem;
  }
  return gradeNumList;
};
